templates/main.template.yaml [849:956]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  HAPort:
    Description: High-availability add-on port.
    Type: String
    Default: 10000
    AllowedValues:
      - 10000
  HAALicense:
    Description: High-availability add-on license key.
    Default: ''
    Type: String
  RDSDBName:
    Description: UIPath database name.
    Type: String
    Default: uipathdb
    AllowedPattern: '^[a-zA-Z]*$'
    ConstraintDescription: >-
      UIPath database name can only contain characters *a–z* and *A–Z*. It cannot be left blank.
  RDSAllocatedStorage:
    Description: RDS DB instance storage amount.
    Type: String
    Default: '200'
    AllowedPattern: '^(?:[1-9]\d{0,3}|1[0-5]\d{3}|16[0-2]\d{2}|163[0-7]\d|1638[0-4])$'
    ConstraintDescription: RDS DB instance storage amount should be less or equal to 16,384 GB.
  RDSMaxAllocatedStorage:
    Description: Maximum storage threshold. The limit to which the DB instance can be autoscaled.
    Type: Number
    Default: '1000'
    MaxValue: '16384'
    ConstraintDescription: Should be less than or equal to RDS allocated storage.
  RDSUsername:
    Description: RDS DB username.
    Type: String
    AllowedPattern: '^[0-9a-zA-Z]*$'
    ConstraintDescription: RDS DB username cannot be left blank.
  RDSPassword:
    Description: RDS DB password.
    Type: String
    NoEcho: 'true'
    MinLength: '8'
    AllowedPattern: '^(?=.*[0-9]+.*)(?=.*[a-zA-Z]+.*)[0-9a-zA-Z]{8,}$'
    ConstraintDescription: >-
      RDS DB password must contain a minimum of eight characters and include at least one letter and one number.
  OrchestratorVersion:
    Description: UIPath Orchestrator version.
    Type: String
    Default: 21.10.0
    AllowedValues:
      - 21.10.0
    ConstraintDescription: UIPath Orchestrator version can only contain characters *0–9* and *.* (period).
  OrchestratorInstanceCount:
    Description: Number of UiPath Orchestrator instances (1–20).
    Type: String
    Default: '2'
    AllowedPattern: '^(?:[1-9]|0[1-9]|1[0-9]|20)$'
    ConstraintDescription: Number of UiPath Orchestrator instances can be 1–20.
  OrchestratorLicense:
    Description: UiPath Orchestrator license key or trial key.
    Default: ''
    Type: String
  OrchestratorPassword:
    Description: UiPath Orchestrator administrator password.
    Type: String
    NoEcho: 'true'
    MinLength: '6'
    MaxLength: '124'
    AllowedPattern: >-
      (?=^.{6,124}$)((?=.*\d)(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[^A-Za-z0-9])(?=.*[a-z])|(?=.*[^A-Za-z0-9])(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[A-Z])(?=.*[^A-Za-z0-9]))^.*
    ConstraintDescription: >-
      UiPath Orchestrator administrator password must contain more than six characters and include at least one uppercase letter.
  QSS3BucketName:
    AllowedPattern: '^[0-9a-zA-Z]+([0-9a-zA-Z-]*[0-9a-zA-Z])*$'
    ConstraintDescription: >-
      Quick Start bucket name can include numbers, lowercase letters, uppercase
      letters, and hyphens (-). It cannot start or end with a hyphen (-).
    Description: Name of the S3 bucket for your copy of the Quick Start assets.
      Keep the default name unless you are customizing the template.
      Changing the name updates code references to point to a new Quick
      Start location. This name can include numbers, lowercase letters,
      uppercase letters, and hyphens, but do not start or end with a hyphen (-).
      See https://aws-quickstart.github.io/option1.html.
    Type: String
    Default: aws-quickstart
  QSS3BucketRegion:
    Default: us-east-1
    Description: >-
       AWS Region where the Quick Start S3 bucket (QSS3BucketName) is hosted. Keep the default Region unless you are customizing the template. Changing this Region updates code references to point to a new Quick Start location. When using your own bucket, specify the Region. See https://aws-quickstart.github.io/option1.html.
    Type: String
    AllowedPattern: (us(-gov)?|ap|ca|cn|eu|sa)-(central|(north|south)?(east|west)?)-\d
    ConstraintDescription: Must be a valid AWS Region code.
  QSS3KeyPrefix:
    AllowedPattern: '^[0-9a-zA-Z-/]*/$'
    ConstraintDescription: >-
      The Quick Start S3 key prefix can include numbers, lowercase letters,
      uppercase letters, hyphens (-), and forward slashes (/).
    Default: quickstart-uipath-orchestrator/
    Description: >-
      S3 key prefix that is used to simulate a directory for your copy of the
      Quick Start assets. Keep the default prefix unless you are customizing
      the template. Changing this prefix updates code references to point to
      a new Quick Start location. This prefix can include numbers, lowercase
      letters, uppercase letters, hyphens (-), and forward slashes (/).
      See https://docs.aws.amazon.com/AmazonS3/latest/dev/UsingMetadata.html
      and https://aws-quickstart.github.io/option1.html.
    Type: String
Conditions:
  UsingDefaultBucket: !Equals
    - !Ref QSS3BucketName
    - aws-quickstart
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



templates/uipath-orchestrator.template.yaml [767:874]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  HAPort:
    Description: High-availability add-on port.
    Type: String
    Default: 10000
    AllowedValues:
      - 10000
  HAALicense:
    Description: High-availability add-on license key.
    Default: ''
    Type: String
  RDSDBName:
    Description: UIPath database name.
    Type: String
    Default: uipathdb
    AllowedPattern: '^[a-zA-Z]*$'
    ConstraintDescription: >-
      UIPath database name can only contain characters *a–z* and *A–Z*. It cannot be left blank.
  RDSAllocatedStorage:
    Description: RDS DB instance storage amount.
    Type: String
    Default: '200'
    AllowedPattern: '^(?:[1-9]\d{0,3}|1[0-5]\d{3}|16[0-2]\d{2}|163[0-7]\d|1638[0-4])$'
    ConstraintDescription: RDS DB instance storage amount should be less or equal to 16,384 GB.
  RDSMaxAllocatedStorage:
    Description: Maximum storage threshold. The limit to which the DB instance can be autoscaled.
    Type: Number
    Default: '1000'
    MaxValue: '16384'
    ConstraintDescription: Should be less than or equal to RDS allocated storage.
  RDSUsername:
    Description: RDS DB username.
    Type: String
    AllowedPattern: '^[0-9a-zA-Z]*$'
    ConstraintDescription: RDS DB username cannot be left blank.
  RDSPassword:
    Description: RDS DB password.
    Type: String
    NoEcho: 'true'
    MinLength: '8'
    AllowedPattern: '^(?=.*[0-9]+.*)(?=.*[a-zA-Z]+.*)[0-9a-zA-Z]{8,}$'
    ConstraintDescription: >-
      RDS DB password must contain a minimum of eight characters and include at least one letter and one number.
  OrchestratorVersion:
    Description: UIPath Orchestrator version.
    Type: String
    Default: 21.10.0
    AllowedValues:
      - 21.10.0
    ConstraintDescription: UIPath Orchestrator version can only contain characters *0–9* and *.* (period).
  OrchestratorInstanceCount:
    Description: Number of UiPath Orchestrator instances (1–20).
    Type: String
    Default: '2'
    AllowedPattern: '^(?:[1-9]|0[1-9]|1[0-9]|20)$'
    ConstraintDescription: Number of UiPath Orchestrator instances can be 1–20.
  OrchestratorLicense:
    Description: UiPath Orchestrator license key or trial key.
    Default: ''
    Type: String
  OrchestratorPassword:
    Description: UiPath Orchestrator administrator password.
    Type: String
    NoEcho: 'true'
    MinLength: '6'
    MaxLength: '124'
    AllowedPattern: >-
      (?=^.{6,124}$)((?=.*\d)(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[^A-Za-z0-9])(?=.*[a-z])|(?=.*[^A-Za-z0-9])(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[A-Z])(?=.*[^A-Za-z0-9]))^.*
    ConstraintDescription: >-
      UiPath Orchestrator administrator password must contain more than six characters and include at least one uppercase letter.
  QSS3BucketName:
    AllowedPattern: '^[0-9a-zA-Z]+([0-9a-zA-Z-]*[0-9a-zA-Z])*$'
    ConstraintDescription: >-
      Quick Start bucket name can include numbers, lowercase letters, uppercase
      letters, and hyphens (-). It cannot start or end with a hyphen (-).
    Description: Name of the S3 bucket for your copy of the Quick Start assets.
      Keep the default name unless you are customizing the template.
      Changing the name updates code references to point to a new Quick
      Start location. This name can include numbers, lowercase letters,
      uppercase letters, and hyphens, but do not start or end with a hyphen (-).
      See https://aws-quickstart.github.io/option1.html.
    Type: String
    Default: aws-quickstart
  QSS3BucketRegion:
    Default: us-east-1
    Description: >-
       AWS Region where the Quick Start S3 bucket (QSS3BucketName) is hosted. Keep the default Region unless you are customizing the template. Changing this Region updates code references to point to a new Quick Start location. When using your own bucket, specify the Region. See https://aws-quickstart.github.io/option1.html.
    Type: String
    AllowedPattern: (us(-gov)?|ap|ca|cn|eu|sa)-(central|(north|south)?(east|west)?)-\d
    ConstraintDescription: Must be a valid AWS Region code.
  QSS3KeyPrefix:
    AllowedPattern: '^[0-9a-zA-Z-/]*/$'
    ConstraintDescription: >-
      The Quick Start S3 key prefix can include numbers, lowercase letters,
      uppercase letters, hyphens (-), and forward slashes (/).
    Default: quickstart-uipath-orchestrator/
    Description: >-
      S3 key prefix that is used to simulate a directory for your copy of the
      Quick Start assets. Keep the default prefix unless you are customizing
      the template. Changing this prefix updates code references to point to
      a new Quick Start location. This prefix can include numbers, lowercase
      letters, uppercase letters, hyphens (-), and forward slashes (/).
      See https://docs.aws.amazon.com/AmazonS3/latest/dev/UsingMetadata.html
      and https://aws-quickstart.github.io/option1.html.
    Type: String
Conditions:
  UsingDefaultBucket: !Equals
    - !Ref QSS3BucketName
    - aws-quickstart
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



